Package io.vertx.kafka.admin

## Class ConfigEntry

- java.lang.Object
- - io.vertx.kafka.admin.ConfigEntry

-     public class ConfigEntry
      extends Object

  A class representing a configuration entry containing name, value and additional metadata

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigEntry()` | Constructor
    `ConfigEntry​(JsonObject json)` | Constructor (from JSON representation)
    `ConfigEntry​(String name, String value)` | Constructor
    `ConfigEntry​(String name, String value, org.apache.kafka.clients.admin.ConfigEntry.ConfigSource source, boolean isSensitive, boolean isReadOnly, List<ConfigSynonym> synonyms)` | Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getName()` |
    `org.apache.kafka.clients.admin.ConfigEntry.ConfigSource` | `getSource()` |
    `List<ConfigSynonym>` | `getSynonyms()` |
    `String` | `getValue()` |
    `boolean` | `isDefault()` |
    `boolean` | `isReadOnly()` |
    `boolean` | `isSensitive()` |
    `ConfigEntry` | `setDefault​(boolean isDefault)` | Set whether the config value is the default or if it's been explicitly set
    `ConfigEntry` | `setName​(String name)` | Set the config name
    `ConfigEntry` | `setReadOnly​(boolean readOnly)` | Set whether the config is read-only and cannot be updated
    `ConfigEntry` | `setSensitive​(boolean isSensitive)` | Set whether the config value is sensitive.
    `ConfigEntry` | `setSource​(org.apache.kafka.clients.admin.ConfigEntry.ConfigSource source)` | Set the source of this configuration entry
    `ConfigEntry` | `setSynonyms​(List<ConfigSynonym> synonyms)` | Set all config values that may be used as the value of this config along with their source, in the order of precedence
    `ConfigEntry` | `setValue​(String value)` | Set the value or null.
    `JsonObject` | `toJson()` | Convert object to JSON representation
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigEntry

          public ConfigEntry()

      Constructor

    - #### ConfigEntry

          public ConfigEntry​(String name,
                             String value)

      Constructor
      Parameters:
        `name` - the non-null config name
        `value` - the config value or null

    - #### ConfigEntry

          public ConfigEntry​(String name,
                             String value,
                             org.apache.kafka.clients.admin.ConfigEntry.ConfigSource source,
                             boolean isSensitive,
                             boolean isReadOnly,
                             List<ConfigSynonym> synonyms)

      Constructor
      Parameters:
        `name` - the non-null config name
        `value` - the config value or null
        `source` - the source of this config entry
        `isSensitive` - whether the config value is sensitive, the broker never returns the value if it is sensitive
        `isReadOnly` - whether the config is read-only and cannot be updated
        `synonyms` - Synonym configs in order of precedence

    - #### ConfigEntry

          public ConfigEntry​(JsonObject json)

      Constructor (from JSON representation)
      Parameters:
        `json` - JSON representation

  - ### Method Detail

    - #### getName

          public String getName()

      Returns:
        the config name

    - #### setName

          public ConfigEntry setName​(String name)

      Set the config name
      Parameters:
        `name` - the config name.
      Returns:
        current instance of the class to be fluent

    - #### isDefault

          public boolean isDefault()

      Returns:
        whether the config value is the default or if it's been explicitly set

    - #### setDefault

          public ConfigEntry setDefault​(boolean isDefault)

      Set whether the config value is the default or if it's been explicitly set
      Parameters:
        `isDefault` - whether the config value is the default or if it's been explicitly set
      Returns:
        current instance of the class to be fluent

    - #### isReadOnly

          public boolean isReadOnly()

      Returns:
        whether the config is read-only and cannot be updated

    - #### setReadOnly

          public ConfigEntry setReadOnly​(boolean readOnly)

      Set whether the config is read-only and cannot be updated
      Parameters:
        `readOnly` - whether the config is read-only and cannot be updated
      Returns:
        current instance of the class to be fluent

    - #### isSensitive

          public boolean isSensitive()

      Returns:
        whether the config value is sensitive. The value is always set to null by the broker if the config value is sensitive

    - #### setSensitive

          public ConfigEntry setSensitive​(boolean isSensitive)

      Set whether the config value is sensitive. The value is always set to null by the broker if the config value is sensitive
      Parameters:
        `isSensitive` - whether the config value is sensitive. The value is always set to null by the broker if the config value is sensitive
      Returns:
        current instance of the class to be fluent

    - #### getSource

          public org.apache.kafka.clients.admin.ConfigEntry.ConfigSource getSource()

      Returns:
        the source of this configuration entry

    - #### setSource

          public ConfigEntry setSource​(org.apache.kafka.clients.admin.ConfigEntry.ConfigSource source)

      Set the source of this configuration entry
      Parameters:
        `source` - the source of this configuration entry
      Returns:
        current instance of the class to be fluent

    - #### getSynonyms

          public List<ConfigSynonym> getSynonyms()

      Returns:
        all config values that may be used as the value of this config along with their source, in the order of precedence

    - #### setSynonyms

          public ConfigEntry setSynonyms​(List<ConfigSynonym> synonyms)

      Set all config values that may be used as the value of this config along with their source, in the order of precedence
      Parameters:
        `synonyms` - all config values that may be used as the value of this config along with their source, in the order of precedence
      Returns:
        current instance of the class to be fluent

    - #### getValue

          public String getValue()

      Returns:
        the value or null. Null is returned if the config is unset or if isSensitive is true

    - #### setValue

          public ConfigEntry setValue​(String value)

      Set the value or null. Null is returned if the config is unset or if isSensitive is true
      Parameters:
        `value` - the value or null. Null is returned if the config is unset or if isSensitive is true
      Returns:
        current instance of the class to be fluent

    - #### toJson

          public JsonObject toJson()

      Convert object to JSON representation
      Returns:
        JSON representation

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`